cascading.stats.process

## Class ProcessFlowStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowStepStats>
  - - cascading.stats.FlowStats
    - - cascading.stats.process.ProcessFlowStats

All Implemented Interfaces:
  ProvidesCounters, java.io.Serializable

    public class ProcessFlowStats
    extends FlowStats

ProcessFlowStats is a sub-class of FlowStats which can fetch counters from a ProcessWrapper and hook them into the stats mechanism of Cascading.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

`CascadingStats.Status, CascadingStats.Type`

### Field Summary

### Fields inherited from class cascading.stats.CascadingStats

`clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

### Constructor Summary

Constructors
Constructor and Description
`ProcessFlowStats(Flow flow, ClientState clientState, riffle.process.scheduler.ProcessWrapper processWrapper)` Constructs a new ProcessFlowStats instance.

### Method Summary

Methods
`java.util.Collection` `getChildren()` Method getChildren returns any relevant child statistics instances.
`java.util.List<FlowStepStats>` `getFlowStepStats()` Method getStepStats returns the stepStats owned by this FlowStats.
`int` `getStepsCount()` Method getStepsCount returns the number of steps this Flow executed.

### Methods inherited from class cascading.stats.FlowStats

`addStepStats, captureDetail, equals, getAppID, getAppName, getChildWith, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getFlow, getFlowProperties, getID, getLastSuccessfulCounterFetchTime, getProcessLogger, getStatsString, getType, hashCode, recordInfo, toString`

### Methods inherited from class cascading.stats.CascadingStats

`addListener, captureDetail, cleanup, fireListeners, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcessFlowStats

    public ProcessFlowStats(Flow flow,
                    ClientState clientState,
                    riffle.process.scheduler.ProcessWrapper processWrapper)

Constructs a new ProcessFlowStats instance.

Parameters:
  `flow` - a Flow instance.
  `clientState` - The current client state.
  `processWrapper` - a ProcessWrapper instance.

### Method Detail

#### getFlowStepStats

    public java.util.List<FlowStepStats> getFlowStepStats()

Description copied from class: `FlowStats`
Method getStepStats returns the stepStats owned by this FlowStats.

Overrides:
  `getFlowStepStats` in class `FlowStats`
Returns:
  the stepStats (type List<StepStats>) of this FlowStats object.

#### getChildren

    public java.util.Collection getChildren()

Description copied from class: `CascadingStats`
Method getChildren returns any relevant child statistics instances. They may not be of type CascadingStats, but instead platform specific.

Overrides:
  `getChildren` in class `FlowStats`
Returns:
  a Collection of child statistics

#### getStepsCount

    public int getStepsCount()

Description copied from class: `FlowStats`
Method getStepsCount returns the number of steps this Flow executed.

Overrides:
  `getStepsCount` in class `FlowStats`
Returns:
  the stepsCount (type int) of this FlowStats object.